const preact = require('preact');

function renderSpawnButton({ account, sendCrypSpawn }) {
    let name = '';

    if (!account) return <div>...</div>;

    return false;

    return (
        <div className="row">
            <div className="two columns">
                <input
                    className="input"
                    type="text"
                    placeholder="cryp name"
                    onChange={e => (name = e.target.value)}
                />
            </div>
            <div className="two columns">
                <button
                    className="button"
                    type="submit"
                    onClick={() => sendCrypSpawn(name)}>
                    Spawn 👾
                </button>
            </div>
        </div>
    );
}

module.exports = renderSpawnButton;
